## llvm-defaults 0.37~exp3

=== debian/changelog ===
llvm-defaults (0.37~exp3) experimental; urgency=medium

  * Also ship ld.lld as part of the lld package
  * Fix clang: maintainer-script-without-set-e

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 26 Jul 2017 07:15:37 +0200

llvm-defaults (0.37~exp2) experimental; urgency=medium

  * No longer create /usr/lib/ocaml/llvm
    Done by libllvm-X.Y-ocaml-dev (Closes: #866725)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 05 Jul 2017 18:23:07 +0200

llvm-defaults (0.37~exp1) experimental; urgency=medium

  * Default to 4.0
  * Add llvm-profdata and llvm-symbolizer in the list of binaries
  * Add lld as a new dependency package
  * Add manpages for llvm-cov llvm-dwarfdump llvm-mc clang-format
    clang-format-diff clang-tidy lldb lldb-mi clang llvm-objdump
    llvm-rtdyld llvm-size clang-apply-replacements clang-check
    clang-query scan-build scan-view in their respective packages
  * Standards-Version updated to 4.0.0
  * Compat mode bump to 9
  * Fix wrong-name-for-changelog-of-native-package

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 18 Jun 2017 23:07:45 +0200
