=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 5.0.0), dpkg-dev (>= 1.13.9), lsb-release,
- llvm-4.0-dev, m4,
+Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.9), lsb-release,
+ m4
 Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/llvm-defaults/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-llvm/llvm-defaults/trunk/
 
@@ -145,3 +145,12 @@
  Project, such as the Clang expression parser and LLVM disassembler.
  .
  This is a dependency package providing the default version of lldb.
+
+Package: lld
+Architecture: any
+Depends: lld-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: LLVM-based linker
+ LLD is a new, high-performance linker. It is built as a set of reusable
+ components which highly leverage existing libraries in the larger LLVM
+ Project.
