=== debian/rules ===
--- 
+++ 
@@ -40,17 +40,20 @@
 # llvm-defaults 0.27 is the first version for 3.6.
 REL_NO_36	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
-# llvm-defaults 0.34 is the first version for 3.7.
+# llvm-defaults (not in debian) is the first version for 3.7.
 REL_NO_37	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
 # llvm-defaults 0.34 is the first version for 3.8.
-REL_NO_38       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
-
-# llvm-defaults 0.34 is the first version for 3.9.
-REL_NO_39       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
-
-# llvm-defaults 0.34 is the first version for 4.0.
-REL_NO_40       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
+REL_NO_38	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
+# llvm-defaults (not in debian) is the first version for 3.9.
+REL_NO_39	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
+# llvm-defaults 0.37 is the first version for 4.0.
+REL_NO_40	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
+# llvm-defaults 0.XX is the first version for 5.0.
+REL_NO_50	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
 # minimum required version
 REQV            := (>= 4.0~)
@@ -68,11 +71,11 @@
 all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang libclang1 libclang-dev clang-format clang-tidy
 no_packages    := llvm-gcc # must be built?
 
-LLDB_SUPPORTED=amd64 armel armhf i386  kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 mips mipsel arm64
-ifneq (,$(filter $(DEB_HOST_ARCH),$(LLDB_SUPPORTED)))
-    all_packages += lldb
+EXTRA_SUPPORTED=amd64 armel armhf i386  kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 mips mipsel arm64
+ifneq (,$(filter $(DEB_HOST_ARCH),$(EXTRA_SUPPORTED)))
+    all_packages += lldb lld
 else
-    no_packages += lldb
+    no_packages += lldb lld
 endif
 
 packages := $(filter-out $(no_packages), $(all_packages))
@@ -146,7 +149,7 @@
 		llvm-link llvm-mc llvm-nm llvm-objdump \
 		llvm-ranlib llvm-rtdyld llvm-size llvm-tblgen llvm-profdata \
 		llvm-symbolizer \
-		opt ; do \
+		opt; do \
 		dh_link -pllvm \
 			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
 			/usr/bin/$$bin ; \
@@ -161,8 +164,38 @@
 	for man in \
 		bugpoint lit llc llvm-ar llvm-as llvm-bcanalyzer llvm-config \
 		llvm-diff llvm-dis llvm-extract llvm-link llvm-nm llvm-profdata \
-		llvm-ranlib opt tblgen llvm-symbolizer; do \
+		llvm-ranlib opt tblgen llvm-symbolizer llvm-cov llvm-dwarfdump \
+		llvm-objdump llvm-rtdyld llvm-size llvm-mc; do \
 		dh_link -pllvm \
+			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
+			/usr/share/man/man1/$$man.1.gz ; \
+	done
+
+	for man in \
+		clang clang-apply-replacements clang-check clang-query \
+		scan-build scan-view; do \
+		dh_link -pclang \
+			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
+			/usr/share/man/man1/$$man.1.gz ; \
+	done
+
+	for man in \
+		clang-format clang-format-diff; do \
+		dh_link -pclang-format \
+			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
+			/usr/share/man/man1/$$man.1.gz ; \
+	done
+
+	for man in \
+		clang-tidy; do \
+		dh_link -pclang-tidy \
+			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
+			/usr/share/man/man1/$$man.1.gz ; \
+	done
+
+	for man in \
+		lldb lldb-mi; do \
+		dh_link -plldb \
 			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
 			/usr/share/man/man1/$$man.1.gz ; \
 	done
@@ -198,8 +231,7 @@
 	dh_installdirs -plibllvm-ocaml-dev \
 		/usr/lib/ocaml/METAS
 	dh_link -plibllvm-ocaml-dev \
-		/usr/lib/ocaml/llvm-$(CURRENT_VERSION)/META.llvm /usr/lib/ocaml/METAS/META.llvm \
-		/usr/lib/ocaml/llvm-$(CURRENT_VERSION) /usr/lib/ocaml/llvm
+		/usr/lib/ocaml/llvm-$(CURRENT_VERSION)/META.llvm /usr/lib/ocaml/METAS/META.llvm
 
 	: # clang
 	dh_installdirs -pclang \
@@ -237,38 +269,3 @@
 			/usr/bin/scan-view-$(PV_LLVM) \
 			/usr/bin/scan-view
 	dh_link -pclang \
-			/usr/bin/asan_symbolize-$(PV_LLVM) \
-			/usr/bin/asan_symbolize
-	dh_link -plldb \
-			/usr/bin/lldb-$(PV_LLVM) \
-			/usr/bin/lldb
-	dh_link -plldb \
-			/usr/bin/lldb-argdumper-$(PV_LLVM) \
-			/usr/bin/lldb-argdumper
-	dh_link -plldb \
-			/usr/bin/lldb-mi-$(PV_LLVM) \
-			/usr/bin/lldb-mi
-	dh_link -plldb \
-			/usr/bin/lldb-server-$(PV_LLVM) \
-			/usr/bin/lldb-server
-
-
-nopkgs := $(foreach p, $(no_packages),-N$(p))
-
-binary-indep: build install
-	# nothing to do
-
-binary-arch: build install
-	dh_testdir
-	dh_testroot
-
-	dh_lintian
-	dh_installchangelogs -a $(nopkgs)
-	dh_installdocs -a $(nopkgs) debian/README.Debian
-	for p in $(packages) ; do \
-		if [ -f debian/$$p/usr/share/doc/$$p/changelog ]; then \
-		  mv debian/$$p/usr/share/doc/$$p/changelog \
-	    	debian/$$p/usr/share/doc/$$p/changelog.Debian; \
-		fi; \
-	done
-
