=== debian/rules ===
--- 
+++ 
@@ -71,11 +71,18 @@
 all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang libclang1 libclang-dev clang-format clang-tidy
 no_packages    := llvm-gcc # must be built?
 
-EXTRA_SUPPORTED=amd64 armel armhf i386  kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 mips mipsel arm64
-ifneq (,$(filter $(DEB_HOST_ARCH),$(EXTRA_SUPPORTED)))
-    all_packages += lldb lld
+LLDB_SUPPORTED=amd64 armel armhf i386  kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 mips mipsel arm64
+ifneq (,$(filter $(DEB_HOST_ARCH),$(LLDB_SUPPORTED)))
+    all_packages += lldb
 else
-    no_packages += lldb lld
+    no_packages += lldb
+endif
+
+LLD_SUPPORTED=amd64 armel armhf i386  kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 mips mipsel
+ifneq (,$(filter $(DEB_HOST_ARCH),$(LLD_SUPPORTED)))
+    all_packages += lld
+else
+    no_packages += lld
 endif
 
 packages := $(filter-out $(no_packages), $(all_packages))
@@ -261,11 +268,3 @@
 		/usr/bin/clang-format-diff
 	dh_link -pclang-format \
 		/usr/share/vim/addons/syntax/clang-format-$(PV_LLVM).py \
-		/usr/share/vim/addons/syntax/clang-format.py
-	dh_link -pclang \
-			/usr/bin/scan-build-$(PV_LLVM) \
-			/usr/bin/scan-build
-	dh_link -pclang \
-			/usr/bin/scan-view-$(PV_LLVM) \
-			/usr/bin/scan-view
-	dh_link -pclang \
