## llvm-defaults 0.37~exp5ubuntu1

=== debian/changelog ===
llvm-defaults (0.37~exp5ubuntu1) bionic; urgency=medium

  * Sync with current Debian experimental, remaining changes:
    - Remove lld on arm64.
  * Remove libllvm-ocaml-dev to match libllvm-4.0-ocaml-dev.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 30 Oct 2017 02:09:15 -0600

llvm-defaults (0.37~exp5) experimental; urgency=medium

  * Also ship scancov as part of clang (Closes: #879553)
  * Standards-Version updated to 4.1.1
  * Fix "wrong-section-according-to-package-name libclang1 => libs"

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 22 Oct 2017 22:12:34 +0200

llvm-defaults (0.37~exp4) experimental; urgency=medium

  * Also ship run-clang-tidy.py & clang-tidy-diff.py (Closes: #878501)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 14 Oct 2017 08:43:55 +0200
