=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,8 @@
 
 distribution := $(shell lsb_release -is)
 all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang libclang1 libclang-dev clang-format clang-tidy
-no_packages    := llvm-gcc # must be built?
+no_packages    := # llvm-gcc # must be built?
+no_packages    += libllvm-ocaml-dev # Disabled in 4.0, can be re-enabled in 5.0?
 
 LLDB_SUPPORTED=amd64 armel armhf i386  kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 mips mipsel arm64
 ifneq (,$(filter $(DEB_HOST_ARCH),$(LLDB_SUPPORTED)))
@@ -180,7 +181,7 @@
 
 	for man in \
 		clang clang-apply-replacements clang-check clang-query \
-		scan-build scan-view; do \
+		scan-build scan-view sancov; do \
 		dh_link -pclang \
 			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
 			/usr/share/man/man1/$$man.1.gz ; \
@@ -245,7 +246,7 @@
 		usr/bin usr/share/man/man1
 	for bin in \
 		clang clang++ clang-check clang-tblgen c-index-test \
-		clang-apply-replacements clang-query \
+		clang-apply-replacements clang-query sancov \
 		; do \
 		dh_link -pclang \
 			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
@@ -259,12 +260,8 @@
 			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
 			/usr/bin/$$bin ; \
 	done
-
-	dh_link -pclang-format \
-		/usr/bin/clang-format-$(PV_LLVM) \
-		/usr/bin/clang-format
-	dh_link -pclang-format \
-		/usr/bin/clang-format-diff-$(PV_LLVM) \
-		/usr/bin/clang-format-diff
-	dh_link -pclang-format \
-		/usr/share/vim/addons/syntax/clang-format-$(PV_LLVM).py \
+	dh_link -pclang-tidy \
+		/usr/bin/run-clang-tidy-$(PV_LLVM).py  \
+		/usr/bin/run-clang-tidy
+	dh_link -pclang-tidy \
+		/usr/bin/clang-tidy-diff-$(PV_LLVM).py  \
