## llvm-defaults 0.37ubuntu1

=== debian/changelog ===
llvm-defaults (0.37ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - clang.postinst: Fix shebang.
    - Bump debhelper and standards version.
    - Re-add libllvm-ocaml-dev in the control file, but don't build it.
    - libclang1: Set section to libs.
    - Build a lld package.
  * Default to 5.0

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Nov 2017 11:28:32 +0100

llvm-defaults (0.37) unstable; urgency=medium

  * Disable the ocaml dep package

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 30 Oct 2017 11:06:00 +0100
