=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Matthias Klose <doko@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
 Standards-Version: 4.1.1
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.9), lsb-release,
- m4
+ llvm-5.0-dev, m4,
 Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/llvm-defaults/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-llvm/llvm-defaults/trunk/
