=== debian/rules ===
--- 
+++ 
@@ -52,25 +52,25 @@
 # llvm-defaults 0.37 is the first version for 4.0.
 REL_NO_40	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
-# llvm-defaults 0.XX is the first version for 5.0.
+# llvm-defaults 0.37 is the first version for 5.0.
 REL_NO_50	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
 # minimum required version
-REQV            := (>= 4.0~)
-
-CURRENT_VERSION := 4.0
+REQV            := (>= 5.0~)
+
+CURRENT_VERSION := 5.0
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_40)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_50)
 
 distribution := $(shell lsb_release -is)
 all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang libclang1 libclang-dev clang-format clang-tidy
 no_packages    := # llvm-gcc # must be built?
-no_packages    += libllvm-ocaml-dev # Disabled in 4.0, can be re-enabled in 5.0?
+no_packages    += libllvm-ocaml-dev # Disabled in 5.0, can be re-enabled in 6.0?
 
 LLDB_SUPPORTED=amd64 armel armhf i386  kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 mips mipsel arm64
 ifneq (,$(filter $(DEB_HOST_ARCH),$(LLDB_SUPPORTED)))
@@ -157,7 +157,7 @@
 		llvm-link llvm-mc llvm-nm llvm-objdump \
 		llvm-ranlib llvm-rtdyld llvm-size llvm-tblgen llvm-profdata \
 		llvm-symbolizer \
-		opt; do \
+		opt ; do \
 		dh_link -pllvm \
 			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
 			/usr/bin/$$bin ; \
