## llvm-defaults 0.41~exp4

=== debian/changelog ===
llvm-defaults (0.41~exp4) experimental; urgency=medium

  * Default to 6.0 (meaning we will skip the 5.0 transition)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 09 Mar 2018 11:07:07 +0100

llvm-defaults (0.41~exp3) experimental; urgency=medium

  * clang-tools: Pull the right package (clang-tools-X)
    (Closes: #890747)
  * Move the VCS to git.
    Many thanks to James Clarke for doing the conversion

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 26 Feb 2018 16:16:02 +0100

llvm-defaults (0.41~exp2) experimental; urgency=medium

  * Also add the new clang-tools package

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Jan 2018 10:02:23 +0100

llvm-defaults (0.41~exp1) experimental; urgency=medium

  * Default to 5.0
  * Add more documentations in the README.debian file
  * Standards-Version: 4.1.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 05 Jan 2018 17:43:48 +0100

llvm-defaults (0.40) unstable; urgency=medium

  * Drop lld from architectures where lld is not built
    (Closes: #883477)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Dec 2017 14:34:27 +0100

llvm-defaults (0.39) unstable; urgency=medium

  * Remove clang-tblgen as it has been removed in 4.0.1~+rc2-1
    (Closes: #877203)
  * Update of the description of the clang C++ support (Closes: #761375)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 20 Nov 2017 10:24:25 +0100

llvm-defaults (0.38) unstable; urgency=medium

  * Upload to unstable. Default to 4.0
  * Fix the debian-rules-sets-dpkg-architecture-variable warning

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 19 Nov 2017 20:55:28 +0100

llvm-defaults (0.38~exp1) experimental; urgency=medium

  * Bump version to match the upload in unstable
  * Disable the ocaml dep package
  * Add the lld manpage

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 30 Oct 2017 11:12:52 +0100
