=== debian/rules ===
--- 
+++ 
@@ -52,38 +52,33 @@
 # llvm-defaults 0.37 is the first version for 4.0.
 REL_NO_40	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
-# llvm-defaults 0.37 is the first version for 5.0.
+# llvm-defaults 0.41 is the first version for 5.0.
 REL_NO_50	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
+# llvm-defaults 0.41 is the first version for 6.0.
+REL_NO_60       := $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
 # minimum required version
-REQV            := (>= 5.0~)
-
-CURRENT_VERSION := 5.0
+REQV            := (>= 6.0~)
+
+CURRENT_VERSION := 6.0
 
 # architecture dependent variables
-DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_50)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_60)
 
 distribution := $(shell lsb_release -is)
-all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang libclang1 libclang-dev clang-format clang-tidy
+all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang1 libclang-dev clang-format clang-tidy # libllvm-ocaml-dev
 no_packages    := # llvm-gcc # must be built?
-no_packages    += libllvm-ocaml-dev # Disabled in 5.0, can be re-enabled in 6.0?
-
-LLDB_SUPPORTED=amd64 armel armhf i386  kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 mips mipsel arm64
-ifneq (,$(filter $(DEB_HOST_ARCH),$(LLDB_SUPPORTED)))
-    all_packages += lldb
+
+EXTRA_SUPPORTED=amd64 armel armhf i386  kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 mips mipsel arm64
+ifneq (,$(filter $(DEB_HOST_ARCH),$(EXTRA_SUPPORTED)))
+    all_packages += lldb lld
 else
-    no_packages += lldb
-endif
-
-LLD_SUPPORTED=amd64 armel armhf i386  kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 mips mipsel
-ifneq (,$(filter $(DEB_HOST_ARCH),$(LLD_SUPPORTED)))
-    all_packages += lld
-else
-    no_packages += lld
+    no_packages += lldb lld
 endif
 
 packages := $(filter-out $(no_packages), $(all_packages))
@@ -157,7 +152,7 @@
 		llvm-link llvm-mc llvm-nm llvm-objdump \
 		llvm-ranlib llvm-rtdyld llvm-size llvm-tblgen llvm-profdata \
 		llvm-symbolizer \
-		opt ; do \
+		opt; do \
 		dh_link -pllvm \
 			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
 			/usr/bin/$$bin ; \
@@ -180,9 +175,16 @@
 	done
 
 	for man in \
-		clang clang-apply-replacements clang-check clang-query \
+		clang; do \
+		dh_link -pclang \
+			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
+			/usr/share/man/man1/$$man.1.gz ; \
+	done
+
+	for man in \
+		clang-apply-replacements clang-check clang-query \
 		scan-build scan-view sancov; do \
-		dh_link -pclang \
+		dh_link -pclang-tools \
 			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
 			/usr/share/man/man1/$$man.1.gz ; \
 	done
@@ -204,6 +206,13 @@
 	for man in \
 		lldb lldb-mi; do \
 		dh_link -plldb \
+			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
+			/usr/share/man/man1/$$man.1.gz ; \
+	done
+
+	for man in \
+		ld.lld lld; do \
+		dh_link -plld \
 			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
 			/usr/share/man/man1/$$man.1.gz ; \
 	done
@@ -236,32 +245,32 @@
 
 
 	: # libllvm-ocaml-dev
-	dh_installdirs -plibllvm-ocaml-dev \
-		/usr/lib/ocaml/METAS
-	dh_link -plibllvm-ocaml-dev \
-		/usr/lib/ocaml/llvm-$(CURRENT_VERSION)/META.llvm /usr/lib/ocaml/METAS/META.llvm
+	# dh_installdirs -plibllvm-ocaml-dev \
+	# 	/usr/lib/ocaml/METAS
+	# dh_link -plibllvm-ocaml-dev \
+	# 	/usr/lib/ocaml/llvm-$(CURRENT_VERSION)/META.llvm /usr/lib/ocaml/METAS/META.llvm
 
 	: # clang
 	dh_installdirs -pclang \
 		usr/bin usr/share/man/man1
 	for bin in \
-		clang clang++ clang-check clang-tblgen c-index-test \
+		clang clang++ \
+		; do \
+		dh_link -pclang \
+			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
+			/usr/bin/$$bin ; \
+	done
+
+    : # clang-tools
+	dh_installdirs -pclang-tools \
+		usr/bin usr/share/man/man1
+	for bin in \
+		clang-check c-index-test \
 		clang-apply-replacements clang-query sancov \
 		; do \
-		dh_link -pclang \
-			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
-			/usr/bin/$$bin ; \
-	done
-
-	for bin in \
-		clang-tidy \
-		; do \
-		dh_link -pclang-tidy \
-			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
-			/usr/bin/$$bin ; \
-	done
-	dh_link -pclang-tidy \
-		/usr/bin/run-clang-tidy-$(PV_LLVM).py  \
-		/usr/bin/run-clang-tidy
-	dh_link -pclang-tidy \
-		/usr/bin/clang-tidy-diff-$(PV_LLVM).py  \
+		dh_link -pclang-tools \
+			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
+			/usr/bin/$$bin ; \
+	done
+
+	for bin in \
