## llvm-defaults 0.41~exp5~ubuntu1

=== debian/changelog ===
llvm-defaults (0.41~exp5~ubuntu1) bionic-proposed; urgency=medium

  * SRU: LP: #1771619.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 May 2018 12:07:58 -0400

llvm-defaults (0.41~exp5) experimental; urgency=medium

  * Unbreak the creation of symlink (caused by comments?!). (LP: #1769737)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 12 May 2018 12:26:41 +0200
