=== debian/rules ===
--- 
+++ 
@@ -250,7 +250,8 @@
 	# dh_link -plibllvm-ocaml-dev \
 	# 	/usr/lib/ocaml/llvm-$(CURRENT_VERSION)/META.llvm /usr/lib/ocaml/METAS/META.llvm
 
-	: # clang
+#  clang
+
 	dh_installdirs -pclang \
 		usr/bin usr/share/man/man1
 	for bin in \
@@ -261,7 +262,7 @@
 			/usr/bin/$$bin ; \
 	done
 
-    : # clang-tools
+# clang-tools
 	dh_installdirs -pclang-tools \
 		usr/bin usr/share/man/man1
 	for bin in \
@@ -273,4 +274,5 @@
 			/usr/bin/$$bin ; \
 	done
 
-	for bin in \
+# clang-tidy
+	for bin in \
