## llvm-defaults 0.41~exp5ubuntu1

=== debian/changelog ===
llvm-defaults (0.41~exp5ubuntu1) cosmic; urgency=medium

  * Enable lldb on ppc64el. LP: #1777136

 -- Dimitri John Ledkov 🌈 <xnox@ubuntu.com>  Sat, 07 Jul 2018 03:55:01 +0100
