=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: llvm-defaults
 Section: devel
 Priority: optional
-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
 Standards-Version: 4.1.3
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.9), lsb-release,
