## llvm-defaults 0.41ubuntu1

=== debian/changelog ===
llvm-defaults (0.41ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - enable lldb on ppc64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Jul 2018 08:42:10 +0200

llvm-defaults (0.41) unstable; urgency=medium

  * Upload to unstable. Ready for the transition. See #893189
    Transition to 6.0
  * Standards-Version: 4.1.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 07 Jul 2018 22:24:33 +0200
