=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: llvm-defaults
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.9), lsb-release,
  m4
 Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvm-defaults.git
