## llvm-defaults 0.42exp1

=== debian/changelog ===
llvm-defaults (0.42exp1) experimental; urgency=medium

  * Team upload
  * Add new python-clang and python-lldb packages (Closes: #807704)
  * Add two lintian overrides for python packages
  * Add new liblldb-dev package (Closes: #904282)
  * Add liblldb-dev binaries/links

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Aug 2018 17:39:41 +0200
