=== debian/rules ===
--- 
+++ 
@@ -71,14 +71,14 @@
 CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_60)
 
 distribution := $(shell lsb_release -is)
-all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang1 libclang-dev clang-format clang-tidy # libllvm-ocaml-dev
+all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang1 libclang-dev clang-format clang-tidy python-clang # libllvm-ocaml-dev
 no_packages    := # llvm-gcc # must be built?
 
-EXTRA_SUPPORTED=amd64 armel armhf i386  kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 ppc64el sh4 sparc64 x32 mips mipsel arm64
+EXTRA_SUPPORTED=amd64 arm64 armel armhf i386 mips mipsel mips64el kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 ppc64el sh4 sparc64 x32
 ifneq (,$(filter $(DEB_HOST_ARCH),$(EXTRA_SUPPORTED)))
-    all_packages += lldb lld
+    all_packages += lldb lld liblldb-dev python-lldb
 else
-    no_packages += lldb lld
+    no_packages += lldb lld liblldb-dev python-lldb
 endif
 
 packages := $(filter-out $(no_packages), $(all_packages))
@@ -243,6 +243,19 @@
 		/usr/lib/llvm-$(CURRENT_VERSION)/lib/$$lib /usr/lib/$$lib; \
 	done
 
+	: # liblldb-dev
+	dh_installdirs -pliblldb-dev \
+		/usr/include \
+		/usr/lib
+	dh_link -pliblldb-dev \
+		/usr/lib/llvm-$(CURRENT_VERSION)/include/lldb /usr/include/lldb \
+
+	for lib in \
+		liblldb.so; do \
+		dh_link -pliblldb-dev \
+		/usr/lib/llvm-$(CURRENT_VERSION)/lib/$$lib /usr/lib/$$lib; \
+	done
+
 
 	: # libllvm-ocaml-dev
 	# dh_installdirs -plibllvm-ocaml-dev \
@@ -257,21 +270,3 @@
 	for bin in \
 		clang clang++ \
 		; do \
-		dh_link -pclang \
-			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
-			/usr/bin/$$bin ; \
-	done
-
-# clang-tools
-	dh_installdirs -pclang-tools \
-		usr/bin usr/share/man/man1
-	for bin in \
-		clang-check c-index-test \
-		clang-apply-replacements clang-query sancov \
-		; do \
-		dh_link -pclang-tools \
-			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
-			/usr/bin/$$bin ; \
-	done
-
-# clang-tidy
